From 0c3eae2ec3e5263d3b6680f687e7cf10192f2a67 Mon Sep 17 00:00:00 2001
From: Megver83 <megver83@parabola.nu>
Date: Oct 14 2021 16:15:01 +0000
Subject: [PATCH 13/23] updpkg: libre/sh-elf-gcc 11.2.0-1


Signed-off-by: Megver83 <megver83@parabola.nu>

---

diff --git a/libre/sh-elf-gcc/PKGBUILD b/libre/sh-elf-gcc/PKGBUILD
index 7ef0bcb..ef40f7b 100644
--- a/libre/sh-elf-gcc/PKGBUILD
+++ b/libre/sh-elf-gcc/PKGBUILD
@@ -2,10 +2,10 @@
 
 _target=sh-elf
 pkgname=$_target-gcc
-_pkgver=10.2.0
-pkgver=$_pkgver
-_islver=0.22
+pkgver=11.2.0
+_islver=0.24
 pkgrel=1
+#_snapshot=8-20210107
 pkgdesc='The GNU Compiler Collection - cross compiler for SuperH (bare-metal) target'
 arch=(x86_64 i686 armv7h)
 url='http://gcc.gnu.org/'
@@ -14,17 +14,18 @@ depends=($_target-binutils libmpc zlib)
 makedepends=(gmp mpfr $_target-newlib)
 optdepends=("$_target-newlib: Standard C library ($_target target)")
 options=(!emptydirs !strip)
-source=(https://gcc.gnu.org/pub/gcc/releases/gcc-$_pkgver/gcc-$_pkgver.tar.xz{,.sig}
-        http://isl.gforge.inria.fr/isl-$_islver.tar.bz2)
-sha512sums=('42ae38928bd2e8183af445da34220964eb690b675b1892bbeb7cd5bb62be499011ec9a93397dba5e2fb681afadfc6f2767d03b9035b44ba9be807187ae6dc65e'
+source=(https://gcc.gnu.org/pub/gcc/releases/gcc-$pkgver/gcc-$pkgver.tar.xz{,.sig}
+        #https://gcc.gnu.org/pub/gcc/snapshots/$_snapshot/gcc-$_snapshot.tar.xz
+        https://libisl.sourceforge.io/isl-$_islver.tar.bz2)
+sha512sums=('d53a0a966230895c54f01aea38696f818817b505f1e2bfa65e508753fcd01b2aedb4a61434f41f3a2ddbbd9f41384b96153c684ded3f0fa97c82758d9de5c7cf'
             'SKIP'
-            'fc2c9796979610dd51143dcefe4f5c989c4354571cc5a1fcc6b932fd41f42a54f6b43adfd289af61be7bd06f3a523fa6a7d7ee56680e32d8036beb4c188fa668')
+            'aab3bddbda96b801d0f56d2869f943157aad52a6f6e6a61745edd740234c635c38231af20bc3f1a08d416a5e973a90e18249078ed8e4ae2f1d5de57658738e95')
 validpgpkeys=(33C235A34C46AA3FFB293709A328C3A2C3C45C06  # Jakub Jelinek <jakub@redhat.com>
               13975A70E63C361C73AE69EF6EEB81F8981C74C7) # Richard Guenther <richard.guenther@gmail.com>
 if [ -n "$_snapshot" ]; then
   _basedir=gcc-$_snapshot
 else
-  _basedir=gcc-$_pkgver
+  _basedir=gcc-$pkgver
 fi
 
 prepare() {
@@ -33,7 +34,7 @@ prepare() {
   # link isl for in-tree builds
   ln -sf ../isl-$_islver isl
 
-  echo $_pkgver > gcc/BASE-VER
+  echo $pkgver > gcc/BASE-VER
 
   # hack! - some configure tests for header files using "$CPP $CPPFLAGS"
   sed -i "/ac_cpp=/s/\$CPPFLAGS/\$CPPFLAGS -O2/" "$srcdir"/$_basedir/{libiberty,gcc}/configure
@@ -48,7 +49,12 @@ build() {
   # http://gcc.gnu.org/bugzilla/show_bug.cgi?id=48565
   CFLAGS=${CFLAGS/-pipe/}
   CXXFLAGS=${CXXFLAGS/-pipe/}
-  
+
+  if [ "$CARCH" = i686 ]; then
+    # using -Werror=format-security causes i686 build to fail
+    CXXFLAGS+=' -Wno-error=format-security'
+  fi
+
   $srcdir/$_basedir/configure \
     --target=$_target \
     --prefix=/usr \

